## lugaru-data 0~20110520.1+hge4354

=== debian/changelog ===
lugaru-data (0~20110520.1+hge4354-1) unstable; urgency=low

  * Initial release
  * Source for tarball taken from https://code.google.com/p/lugaru/ at
    commit e435472cb42f
  * Source has been repacked into lugaru and lugaru-data packages due to some
    of the data being non-free

 -- Arand Nash <ienorand@gmail.com>  Tue, 21 Jun 2011 22:54:00 +0200
