=== debian/control ===
Source: lugaru-data
Section: non-free/games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Arand Nash <ienorand@gmail.com>
Build-Depends: debhelper (>= 8)
Standards-Version: 3.9.2
Homepage: http://code.google.com/p/lugaru/
Vcs-Git: git://git.debian.org/git/pkg-games/lugaru.git
Vcs-Browser: http://git.debian.org/?p=pkg-games/lugaru.git

Package: lugaru-data
Architecture: all
Depends: ${misc:Depends}
Enhances: lugaru
Description: data for the third-person action game lugaru
 Lugaru is the first commercial game by Wolfire Games. Lugaru's main
 character is Turner, an anthropomorphic rabbit with curiously well developed
 combat skills. After seeing his family and friends murdered by wolf raiders he
 embarks on a quest of revenge, only to uncover a deeper plot that threatens the
 entire island. Using a wide variety of intuitive combat techniques, the player
 combats wolves and hostile rabbits across three different landscapes
 (grasslands, snow, desert).
 .
 This package contains the data files for Lugaru
