=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@

URL="https://lugaru.googlecode.com/hg/"
REV_ORIG=$(shell dpkg-parsechangelog | sed -rne 's,^Version: .*[+~]hg([0-9a-z]+).*,\1,p')
DATEREV_ORIG=$(shell dpkg-parsechangelog | sed -rne 's,^Version: .*[+~]([0-9]+.[0-9]+).*,\1,p')
DIR_ORIG=lugaru-data-0~$(DATEREV_ORIG)+hg$(REV_ORIG).orig
TARBALL_ORIG=lugaru-data_0~$(DATEREV_ORIG)+hg$(REV_ORIG).orig.tar.gz
get-orig-source:
	rm -rf $(DIR_ORIG)
	hg clone $(URL) $(DIR_ORIG) -r $(REV_ORIG)
	find $(DIR_ORIG) -name ".hgignore" -print -delete
	find $(DIR_ORIG) -name ".hgsigs" -print -delete
	find $(DIR_ORIG) -name ".hgtags" -print -delete
	rm -rf $(DIR_ORIG)/.hg/
	rm -rf $(DIR_ORIG)/Source/
	rm -rf $(DIR_ORIG)/cmake/
	rm -rf $(DIR_ORIG)/Dependencies/
	rm -rf $(DIR_ORIG)/Xcode/
	rm -f $(DIR_ORIG)/CMakeLists.txt
	rm -f $(DIR_ORIG)/COPYING.txt
	rm -f $(DIR_ORIG)/COMPILING
	GZIP="--best" tar -cz --owner root --group root --mode a+rX \
		 -f $(TARBALL_ORIG) $(DIR_ORIG)
	rm -rf $(DIR_ORIG)

URL="https://lugaru.googlecode.com/hg/"
REV_CUR=$(shell hg identify -i $(URL) | cut --characters=-5)
# Can't get date of last hg commit easily, use current date as fallback
DATEREV_CUR=$(shell date +%Y%m%d).1
DIR_CUR=lugaru-data-0~$(DATEREV_CUR)+hg$(REV_CUR).orig
TARBALL_CUR=lugaru-data_0~$(DATEREV_CUR)+hg$(REV_CUR).orig.tar.gz
get-current-source:
	rm -rf $(DIR_CUR)
	hg clone $(URL) $(DIR_CUR) -r $(REV_CUR)
	find $(DIR_CUR) -name ".hgignore" -print -delete
	find $(DIR_CUR) -name ".hgsigs" -print -delete
	find $(DIR_ORIG) -name ".hgtags" -print -delete
	rm -rf $(DIR_CUR)/.hg/
	rm -rf $(DIR_CUR)/Source/
	rm -rf $(DIR_CUR)/cmake/
	rm -rf $(DIR_CUR)/Dependencies/
	rm -rf $(DIR_CUR)/Xcode/
	rm -f $(DIR_CUR)/CMakeLists.txt
	rm -f $(DIR_CUR)/COPYING.txt
	rm -f $(DIR_ORIG)/COMPILING
	GZIP="--best" tar -cz --owner root --group root --mode a+rX \
		 -f $(TARBALL_CUR) $(DIR_CUR)
	rm -rf $(DIR_CUR)
